coupang
POST/v2/providers/openapi/apis/api/v1/vendors/{vendorId}/label/printOrderLabelv1

CGF Lite order Label API

# 01

Summary

This API is used to print order label, now it only support cgf lite order which status is B(Processing) or C(shipped) Path POST /v2/providers/ openapi /apis /api /v1/vendors/{vendorId}/label/printOrderLabel Example Endpoint https://api-gateway.coupang.com /v2/providers/ openapi /apis /api/v1/vendors

# 02

Details

This API is used to print order label, now it only support cgf lite order which status is B(Processing) or C(shipped)
 

Path

POST

/v2/providers/openapi/apis/api/v1/vendors/{vendorId}/label/printOrderLabel 

Example Endpoint

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v1/vendors/A1234567890/label/printOrderLabel

 

Request Parameters

Path Segment Parameter

Name Required Type Description
vendorId O String
Vendor ID
Unique code Coupang issues to vendors
e.g. A00012345

Body Parameter

Name Required Type Description
orderIdList O Array
orderId list, max size is 10
templateName O String
templateName.
there are two templateNames: SIXTY_FORTY_MM, SIXTY_THIRTY_MM
SIXTY_FORTY_MM means label size is 60*40 mm
SIXTY_THIRTY_MM means label size is 60*30 mm
quantity O Number
how many duplicate copies need to be printed
max quantity is 10

Request Example

{
    "orderIdList":[10000120670440,20000120391907,6000121622041,22000121025601],   
    "templateName":"SIXTY_FORTY_MM",											   
    "quantity":2
}

Response Message

pdf file of label content, the format is base64
Name Type Description
code Number
Server response code
message String
Server response message
data String
pdf file of label content, the format is base64

Response Example

{
  "code": 200,
  "message": "SUCCESS",
  "data": "base64 content"
}

Error Spec

 

URL API Name